| Home | Libraries | People | FAQ | More

#### subtract_value

Subtracts the same value to each coordinate of a point.

###### Synopsis

    template<typename Point>
    void subtract_value(Point & p, typename detail::param< Point >::type value)

###### Parameters

Type | Concept | Name | Description
--- | --- | --- | ---
Point & |  | p | point
typename detail::param< Point >::type |  | value | value to subtract

###### Header

Either

`#include <boost/geometry/geometry.hpp>`

Or

`#include <boost/geometry/arithmetic/arithmetic.hpp>`